Skip to content
Docs

Version 2026.34

11 changed3 fixed

ChangedConnectors and destinations

Amazon Advertising

With this release, new fields have been added to the Amazon Advertising connector. brandStorePageView is now a selectable field for Sponsored Brands v4 Campaign reports, and placementClassification is a selectable field for Sponsored Brands v4 Placement reports when grouped by campaignPlacement, enriching reports with more granular data.

ChangedConnectors and destinations

Amazon DSP

With this release, a new Brand suitability report type has been added to the Amazon DSP connector. This report type offers new group-by dimensions such as Campaign, Ad, Supply source, Inventory tier, and Content category, along with base and conditional metrics, enabling users to monitor and control brand suitability for their campaigns.

ChangedConnectors and destinations

Facebook Ads

With this release, the Facebook Ads connector has been extended to include account_opportunity_score and account_recommendations as selectable ad-account-level fields. The account_opportunity_score is an integer from 0-100, and account_recommendations is ingested as a JSON object, providing deeper insights into campaign performance and optimization opportunities.

ChangedConnectors and destinations

Hubspot

With this release, support has been added for the Listings object type in the HubSpot connector’s Export Objects report type, both as the exported object and as an associated object. Existing HubSpot authorizations must be re-authorized to grant the new Listings scopes, and Listings must be activated in the HubSpot account.

ChangedConnectors and destinations

Indeed Employer Sponsored Jobs

With this release, the Indeed Employer Sponsored Jobs connector fetches have been optimized to reduce API quota consumption and improve efficiency.

ChangedConnectors and destinations

Instacart Ads

With this release, support has been added for new metadata fields in the Instacart Ads connector: Country, Account Name, and Targeting Type. These fields are now available in most report types, enriching reporting and analytics capabilities.

ChangedConnectors and destinations

Reddit Ads

With this release, the Reddit Ads connector has been improved. The retry logic has been enhanced to ensure more reliable data collection. Additionally, the connector has been optimized to reduce API request volume for Analytics reports.

ChangedConnectors and destinations

Snapchat

With this release, a new Include deleted entities option has been added to the Snapchat connector. This option allows you to fetch data for archived or deleted ads, ad squads, and campaigns in Standard Reporting, Insights Reporting, and Metadata reports. Additionally, new dimensions such as ad_deleted, campaign_deleted, and ad_squad_deleted have been added to Standard and Insights reporting.

ChangedConnectors and destinations

TikTok GMV Max

With this release, the stat_time_day dimension has been added to the TikTok GMV Max connector. This dimension is now available in the Dimensions multi-select when the GMV Promotion type is set to Product GMV Max and the Level is set to Creative, enhancing daily granularity for creative-level campaign data.

ChangedConnectors and destinations

Yahoo DSP

With this release, several missing conversion metrics, including various Dynamic Conversion Value and ROAS metrics, have been added to the Yahoo DSP connector. These metrics are now available in both Seat and USD currency modes.

ChangedManagement API

Datastream filtering by authorization ID

With this release, GET /api/datastreams/ and GET /api/datastream-types/{parent_lookup_type_id}/datastreams/ accept a new optional auth query parameter with one or more comma-separated authorization IDs, so you can list all datastreams that use an authorization. Datastreams in the datastream list, and the nested datastream object in jobs, extracts and errors, now also include the auth field. For more information, see Configuring datastreams in Management API.

FixedConnectors and destinations

Resolved issues

With this release, issues have been resolved for the following connectors and destinations:

  • Facebook Ads

  • Facebook Lead Ads

  • Google BigQuery

  • Reddit Ads

  • SQL Database Destination (MSSQL/Azure Synapse)

  • Sistrix

FixedManagement API

Connection deletion error handling

With this release, the Management API’s DELETE /api/connection-types/{type_id}/connections/{pk}/ endpoint now returns more accurate HTTP status codes. It will return HTTP 404 for non-existent or inaccessible connections and a 4xx error for protected connections, instead of a generic HTTP 500 error.

FixedManagement API

Datastream schedule creation

With this release, a bug has been fixed in the Management API where whole-set schedule writes returned an HTTP 500 error when the cron_type field was omitted. The API now correctly defaults to a daily cron type when this field is not provided for PATCH /api/datastreams/{id}/ and POST /api/datastream-types/{ctype_id}/datastreams/. For more information, see Scheduling fetches in Management API and Creating datastreams in Management API.

Was this page helpful?